Subject: Re: [PATCH RFC v1] stash: implement '--staged' option for 'push' and 'save'

From: Sergey Organov <[email-masked]>
Date: Wed, 13 Oct 2021 16:43:15 +0300

Junio C Hamano <[email-masked]> writes:

> Sergey Organov <[email-masked]> writes:
>
>> I didn't ask you what --staged is suitable for, sorry. I asked how do
>> you solve the problem of saving an *entirely unrelated* subset of
>> changes for future use?
>
> Ah, OK.  I do not think I would "git add" unrelated pieces in the
> first place, so "add -p && stash --staged" as a way to stash away
> such a change would be quite foreign concept in my workflow.
>
> IOW, I'd concentrate on finishing the step I am working on, leaving
> unrelated changes in the working tree, and when I came to a good
> stopping point, I'd do the "stash -k && test && commit" dance,
> followed by "stash pop".  At that point,the working tree would have
> only unrelated changes that I can stash away with "stash save".
>
> So I guess perhaps your "no such problem for me" is the closest?

Yep, looks like it is.

For me the problem with the approach you've adopted is that these
unrelated changes distract my attention every time I select what is to
be in the next clean commit, and it gets annoying over time.

Thanks,
-- Sergey Organov